Subject: Re: [bug#72536] [PATCH v3] tap: new `--stderr-prefix' option to prefix test script's stderr

From: Jacob Bachmeyer <[email-masked]>
Date: Thu, 20 Feb 2025 18:24:15 -0600

On 2/20/25 17:23, Karl Berry wrote:
> Hi Richard and Jacob,
>
>      rh> can switch to a separate email per commit if preferred.
>
> No need. For most purposes, it's much more convenient to have one email
> with the whole patch series than many individual messages. I'll save the
> patches to separate files.
>
>      jb> I suspect that you are having problems with git-mailsplit
>
> Never heard of it before, didn't come up in my searches. Makes sense
> now.  Thanks much.

As far as I can tell, Git expects the "one patch per message" model, 
since it extracts the subject header and body of the message to form the 
commit message.

To use one email with the whole patch series, you will have to split out 
the patches manually.

-- Jacob